diff -aur otp_src_R8B-1/erts/acconfig.h otp_src_R8B-1.hpux/erts/acconfig.h
--- otp_src_R8B-1/erts/acconfig.h	Thu Jul 18 10:15:07 2002
+++ otp_src_R8B-1.hpux/erts/acconfig.h	Thu Jul 18 10:13:59 2002
@@ -148,12 +148,6 @@
 /* Define if you have the finite() function. */
 #undef HAVE_FINITE
 
-/* Define if you have the isinf() function. */
-#undef HAVE_ISINF
-
-/* Define if you have the isnan() function. */
-#undef HAVE_ISNAN
-
 /* Define if you have the fpsetmask() function. */
 #undef HAVE_FPSETMASK
 
@@ -201,3 +195,9 @@
 #ifdef HAVE_GETHRVTIME_PROCFS_IOCTL
 #define HAVE_GETHRVTIME
 #endif
+
+#ifndef HAVE_FINITE
+# if defined(HAVE_ISINF) && defined(HAVE_ISNAN)
+#  define USE_ISINF_ISNAN
+# endif
+#endif
diff -aur otp_src_R8B-1/erts/configure.in otp_src_R8B-1.hpux/erts/configure.in
--- otp_src_R8B-1/erts/configure.in	Wed Apr 10 15:42:07 2002
+++ otp_src_R8B-1.hpux/erts/configure.in	Thu Jul 18 10:10:53 2002
@@ -424,7 +424,7 @@
 dnl Checks for library functions.
 dnl ----------------------------------------------------------------------
 
-AC_CHECK_FUNCS([ieee_handler fpsetmask finite res_gethostbyname dlopen \
+AC_CHECK_FUNCS([ieee_handler fpsetmask finite isnan isinf res_gethostbyname dlopen \
 		poll pread pwrite writev memmove strerror strncasecmp \
 		gethrtime localtime_r gmtime_r mremap memcpy mallopt])
 AC_FUNC_SETVBUF_REVERSED
